Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Matches

The Match is the event where the teams actually meet and compete. It occurs at a specific date/time at a specific venue.

This call allows a locked match to be unlocked for the purpose of editing.

This call allows a match video stream to be enabled.

This call allows a locked match to be reseted for the purpose of editing.

Get a list of stages and pools used by matches in the season

get
/basketball33/o/{organizationId}/seasons/{seasonId}/fixtures/stages/pools

Return a list of stages and pools used by matches for a season

Required scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
fixtureTypestring · enum · max: 50Optional

Type of match

  • ALL_STAR All Star
  • DEMONSTRATION Demonstration
  • FINAL Final
  • FRIENDLY Friendly
  • PLAYOFF Playoff
  • PRESEASON Pre Season
  • REGULAR Regular
Example: REGULARPossible values:
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
stageCodestring · max: 30Optional

The stage identifier within a season

Example: ST1
Responses
200

Successful operation

application/json
get/basketball33/o/{organizationId}/seasons/{seasonId}/fixtures/stages/pools
GET /v1/basketball33/o/{organizationId}/seasons/{seasonId}/fixtures/stages/pools HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "season": {
        "resourceType": "seasons",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "organizationId": "9",
      "organization": {
        "resourceType": "organizations",
        "id": "9"
      },
      "stageCode": "ST1",
      "stage": {
        "resourceType": "seasonStages",
        "id": "ST1"
      },
      "poolCode": "P1",
      "pool": {
        "resourceType": "seasonPools",
        "id": "P1"
      },
      "fixtureType": "REGULAR"
    }
  ]
}

Get a list of matches

get
/basketball33/o/{organizationId}/seasons/{seasonId}/fixtures

Return a list of matches for the season

Required scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Query parameters
addedstring · date-timeOptional

Record was added after this date/time. In UTC.

Example: 2018-08-16T02:10:48
competitorTypestring · enumOptional

The type of competitors in this fixture

  • ENTITY Entity
  • PERSON Person
Example: PERSONPossible values:
disciplinestring · enum · max: 30Optional

The discipline for a match

  • BEACH Beach
  • HOCKEY5S Hockey5s
  • INDOOR Indoor
  • OUTDOOR Outdoor
  • PARAHOCKEY Para hockey
Example: INDOORPossible values:
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
featureMatchbooleanOptional

Is this match a featured match?

Example: true
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
fixtureTypestring · enum · max: 50Optional

Type of match

  • ALL_STAR All Star
  • DEMONSTRATION Demonstration
  • FINAL Final
  • FRIENDLY Friendly
  • PLAYOFF Playoff
  • PRESEASON Pre Season
  • REGULAR Regular
Example: REGULARPossible values:
fromTimeLocalstring · date-timeOptional

Where match start time (in local time) >= this value

Example: 2018-08-16T18:00:00
fromTimeUTCstring · date-timeOptional

Where match start time (in UTC) >= this value

Example: 2018-08-16T18:00:00
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
liveDataAvailablebooleanOptional

Is live data available?

Example: true
liveVideoAvailablebooleanOptional

Is live video available ?

Example: true
lockedbooleanOptional

Is the match locked (to prevent editing)?

Example: true
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
poolCodestring · max: 30Optional

The pool identifier within a season

Example: P1
roundCodestring · max: 30Optional

The round identifier within a season

Example: RN1
roundNumberstring · max: 30Optional

Round number

Example: 1
seriesCodestring · max: 30Optional

The series identifier within a season

Example: WC1
seriesFixtureNumberinteger · int32Optional

The number of the match in a series of matches

Example: 1
sortBystringOptional

Comma-delimited list of one or more fields to sort by. Each field can have '-' as prefix to sort in descending order and no prefix to sort in ascending order.

Example: -startTimeUTC,fixtureNumberPattern: ^(\-?startTimeUTC|\-?fixtureNumber|\-?startTimeLocal|,)*$
stageCodestring · max: 30Optional

The stage identifier within a season

Example: ST1
statusstring · enum · max: 200Optional

Match status. Can specify multiple, delimited by comma.

  • ABANDONED Abandoned
  • ABOUT_TO_START About to Start
  • BYE Bye
  • CANCELLED Cancelled
  • CONFIRMED Confirmed
  • DRAFT Draft
  • FINISHED Finished
  • IF_NEEDED If Needed
  • IN_PROGRESS In Progress
  • ON_PITCH On Pitch
  • PENDING Pending
  • POSTPONED Postponed
  • SCHEDULED Scheduled
  • WARM_UP Warm Up
Example: SCHEDULEDPossible values:
statusNotstring · enum · max: 200Optional

Match status to not include. Can specify multiple, delimited by comma.

  • ABANDONED Abandoned
  • ABOUT_TO_START About to Start
  • BYE Bye
  • CANCELLED Cancelled
  • CONFIRMED Confirmed
  • DRAFT Draft
  • FINISHED Finished
  • IF_NEEDED If Needed
  • IN_PROGRESS In Progress
  • ON_PITCH On Pitch
  • PENDING Pending
  • POSTPONED Postponed
  • SCHEDULED Scheduled
  • WARM_UP Warm Up
Example: SCHEDULEDPossible values:
timesUnconfirmedbooleanOptional

Is the match time yet to be confirmed ?

Example: true
toTimeLocalstring · date-timeOptional

Where match start time (in local time) <= this value

Example: 2018-08-16T18:00:00
toTimeUTCstring · date-timeOptional

Where match start time (in UTC) <= this value

Example: 2018-08-16T18:00:00
updatedstring · date-timeOptional

Record was modified after this date/time. In UTC.

Example: 2018-08-16T02:11:48
venueIdstring · uuidOptional

The unique identifier of the venue

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Responses
200

Successful operation

application/json
get/basketball33/o/{organizationId}/seasons/{seasonId}/fixtures
GET /v1/basketball33/o/{organizationId}/seasons/{seasonId}/fixtures HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "organizationId": "9",
      "organization": {
        "resourceType": "organizations",
        "id": "9"
      },
      "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "season": {
        "resourceType": "seasons",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "practiceDrillType": "DRILL",
      "internationalReference": "CA3243-3",
      "status": "SCHEDULED",
      "fixtureNumber": 123,
      "nameLocal": "Grand Final",
      "nameLatin": "Grand Final",
      "startTimeLocal": "2018-08-16T18:00:00",
      "startTimeUTC": "2018-08-16T02:00:00",
      "startTimeActualUTC": "2018-08-16T02:02:23",
      "endTimeActualUTC": "2018-08-16T04:02:23",
      "timesUnconfirmed": true,
      "locked": true,
      "placingIfWon": 1,
      "placingIfLost": 1,
      "attendance": 1123,
      "sellout": true,
      "social": {
        "website": "http://www.example.com",
        "facebook": "@example",
        "twitter": "@example",
        "wikipedia": "https://en.wikipedia.org/wiki/example",
        "instagram": "@example"
      },
      "environmental": {
        "surfaceCondition": "text"
      },
      "duration": 48,
      "durationFull": 180,
      "ticketURL": null,
      "stageCode": "ST1",
      "stage": {
        "resourceType": "seasonStages",
        "id": "ST1"
      },
      "seriesCode": "ST1",
      "series": {
        "resourceType": "seasonSeries",
        "id": "ST1"
      },
      "poolCode": "P1",
      "pool": {
        "resourceType": "seasonPools",
        "id": "P1"
      },
      "roundCode": "RN1",
      "round": {
        "resourceType": "seasonRounds",
        "id": "RN1"
      },
      "roundNumber": 1,
      "liveDataAvailable": true,
      "liveVideoAvailable": true,
      "fixtureType": "REGULAR",
      "maximumPeriodTypeUsed": "REGULAR",
      "competitorType": "ENTITY",
      "competitors": [
        {
          "entityId": "text",
          "conferenceId": "text",
          "divisionId": "text",
          "includeInConferenceStatistics": true,
          "isHome": true,
          "includeInRepresentation": true,
          "draw": true,
          "resultStatus": "SCHEDULED",
          "resultPlace": null,
          "resultSecondaryScorePlace": null,
          "startingNumber": null,
          "score": null,
          "secondaryScore": null,
          "shootOutAttempts": null,
          "rosterStatus": "UNKNOWN",
          "isNeutralVenue": true,
          "uniformId": null,
          "externalId": "text",
          "additionalExternalIds": [
            {
              "source": "text",
              "sourceType": "text",
              "sourceExternalId": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ]
        }
      ],
      "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "venue": {
        "resourceType": "venues",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "externalId": "A123",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "fixtureProfile": {
        "resourceType": "fixtureProfiles",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "includeInStandings": true,
      "updated": "2026-01-01T00:00:00.000Z",
      "added": "2026-01-01T00:00:00.000Z",
      "estimatedFinishTimeUTC": "2026-01-01T00:00:00.000Z",
      "featureMatch": true,
      "seriesFixtureNumber": 1,
      "discipline": "INDOOR",
      "broadcasts": [
        {
          "broadcastType": "TV",
          "broadcaster": "XYZ Network",
          "broadcasterURL": "www.XYZNetwork.com",
          "broadcastURL": "www.XYZNetwork.com/fixture/123",
          "broadcastTimezone": "Australia/Sydney",
          "locale": "en-EN",
          "startTimeLocal": "2023-01-01T12:34:56Z"
        }
      ]
    }
  ]
}

Create a match

post
/basketball33/o/{organizationId}/seasons/{seasonId}/fixtures

Add a new match

Required scopes
This endpoint requires the following scopes:
  • : Write/Update any data from below the organization
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
Body
fixtureIdstring · uuidOptional

The unique identifier of the match

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
practiceDrillTypestring,null · enum · max: 100 · nullableOptional

Practice types

  • None None
  • DRILL Drill
  • FITNESS Fitness
  • GAME Practice Game
  • OTHER Other
Example: DRILLPossible values:
internationalReferencestring · max: 30 · nullableOptional

The international reference for this match given by the sport governing body

Example: CA3243-3
statusstring · enum · max: 100Optional

Match status

  • ABANDONED Abandoned - Match began but had to be stopped
  • ABOUT_TO_START About to Start - Match is about to start
  • BYE Bye - Team has 'rest'
  • CANCELLED Cancelled - Cancelled - will not be played
  • CONFIRMED Confirmed - Match officially completed
  • DRAFT Draft - Not fully scheduled
  • FINISHED Finished - Match finished by not yet 'official'
  • IF_NEEDED If Needed - Only played if needed
  • IN_PROGRESS In Progress - Currently in play
  • ON_PITCH On Pitch - Players appered on the playing field
  • PENDING Pending - Ready to start
  • POSTPONED Postponed - Will be played at a future time
  • SCHEDULED Scheduled - Yet to be played
  • WARM_UP Warm Up - Players have begun to warm up
Default: SCHEDULEDExample: SCHEDULEDPossible values:
fixtureNumberinteger · nullableOptional

Match number (range of -2147483648 to 2147483647)

Example: 123
nameLocalstring · max: 150 · nullableOptional

The name of the match in the local language

Example: Grand Final
nameLatinstring · max: 150 · nullableOptional

The name of the match in latin characters

Example: Grand Final
startTimeLocalstring · nullableOptional

Local start time

Example: 2018-08-16T18:00:00
startTimeActualUTCstring · nullableOptional

Actual start time (UTC)

Example: 2018-08-16T02:02:23
endTimeActualUTCstring · nullableOptional

Actual end time (UTC)

Example: 2018-08-16T04:02:23
timesUnconfirmedbooleanOptional

Is the match time yet to be confirmed ?

Example: true
lockedbooleanOptional

Is the match locked (to prevent editing)?

Example: true
placingIfWoninteger · nullableOptional

Place if Won?

Example: 1
placingIfLostinteger · nullableOptional

Place if Lost?

Example: 1
attendanceinteger · max: 999999 · nullableOptional

Crowd attendance

Example: 1123
selloutbooleanOptional

Was the match a sellout?

Example: true
durationinteger · nullableOptional

Length, in minutes, of the match

Example: 48
durationFullinteger · nullableOptional

Full duration including breaks

Example: 180
ticketURLstring · max: 200 · nullableOptional

Ticket URL

stageCodestring · max: 30 · nullableOptional

A unique code for the stage. (Unique for season)

Example: ST1
seriesCodestring · max: 30 · nullableOptional

A unique code for the season series. (Unique for season)

Example: ST1
poolCodestring · max: 30 · nullableOptional

A unique code for the pool. (Unique for season)

Example: P1
roundCodestring · max: 30 · nullableOptional

A unique code for the round. (Unique for season)

Example: RN1
roundNumberstring · max: 30 · nullableOptional

The number given to the round

Example: 1
liveDataAvailablebooleanOptional

Is live data available?

Example: true
liveVideoAvailablebooleanOptional

Is live video available?

Example: true
fixtureTypestring · enum · max: 50Optional

Type of match

  • ALL_STAR All Star
  • DEMONSTRATION Demonstration
  • FINAL Final
  • FRIENDLY Friendly
  • PLAYOFF Playoff
  • PRESEASON Pre Season
  • REGULAR Regular
Example: REGULARPossible values:
maximumPeriodTypeUsedstring,null · enum · max: 50 · nullableOptional

Maximum Period Type Used

  • None None
  • EXTRA_TIME Extra Time
  • OVERTIME Overtime
  • REGULAR Regular
  • SHOOTOUT Shoot-Out
Example: REGULARPossible values:
competitorTypestring · enum · max: 50Required

The type of competitors in this match

  • ENTITY Entity
  • PERSON Person
Example: ENTITYPossible values:
venueIdstring · nullableOptional

The unique identifier of the venue

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
externalIdstring · max: 150 · nullableOptional

The Id of the data as set by the provider of the data

Example: A123Pattern: ^[0-9A-Za-z/_-]+$
profileIdstring · nullableOptional

The profile that this match belongs to

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
includeInStandingsbooleanOptional

Include the match in the standings calculation?

Default: trueExample: true
featureMatchbooleanOptional

Is this match a featured match?

Example: true
seriesFixtureNumberinteger · nullableOptional

The number of the match in a series of matches

Example: 1
disciplinestring,null · enum · nullableOptional

match discipline

  • None None
  • INDOOR Indoor
  • OUTDOOR Outdoor
Example: INDOORPossible values:
Responses
200

Successful operation

application/json
post/basketball33/o/{organizationId}/seasons/{seasonId}/fixtures
POST /v1/basketball33/o/{organizationId}/seasons/{seasonId}/fixtures HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2098

{
  "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "practiceDrillType": "DRILL",
  "internationalReference": "CA3243-3",
  "status": "SCHEDULED",
  "fixtureNumber": 123,
  "nameLocal": "Grand Final",
  "nameLatin": "Grand Final",
  "startTimeLocal": "2018-08-16T18:00:00",
  "startTimeActualUTC": "2018-08-16T02:02:23",
  "endTimeActualUTC": "2018-08-16T04:02:23",
  "timesUnconfirmed": true,
  "locked": true,
  "placingIfWon": 1,
  "placingIfLost": 1,
  "attendance": 1123,
  "sellout": true,
  "social": {
    "website": "http://www.example.com",
    "facebook": "@example",
    "twitter": "@example",
    "wikipedia": "https://en.wikipedia.org/wiki/example",
    "instagram": "@example"
  },
  "environmental": {
    "surfaceCondition": "text"
  },
  "duration": 48,
  "durationFull": 180,
  "ticketURL": null,
  "stageCode": "ST1",
  "seriesCode": "ST1",
  "poolCode": "P1",
  "roundCode": "RN1",
  "roundNumber": 1,
  "liveDataAvailable": true,
  "liveVideoAvailable": true,
  "fixtureType": "REGULAR",
  "maximumPeriodTypeUsed": "REGULAR",
  "competitorType": "ENTITY",
  "competitors": [
    {
      "entityId": "text",
      "conferenceId": "text",
      "divisionId": "text",
      "includeInConferenceStatistics": true,
      "isHome": true,
      "includeInRepresentation": true,
      "draw": true,
      "resultStatus": "SCHEDULED",
      "resultPlace": null,
      "resultSecondaryScorePlace": null,
      "startingNumber": null,
      "score": null,
      "secondaryScore": null,
      "shootOutAttempts": null,
      "rosterStatus": "UNKNOWN",
      "isNeutralVenue": true,
      "uniformId": null,
      "externalId": "text",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ]
    }
  ],
  "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "externalId": "A123",
  "additionalExternalIds": [
    {
      "source": "text",
      "sourceType": "text",
      "sourceExternalId": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "includeInStandings": true,
  "featureMatch": true,
  "seriesFixtureNumber": 1,
  "discipline": "INDOOR",
  "broadcasts": [
    {
      "broadcastType": "TV",
      "broadcaster": "XYZ Network",
      "broadcasterURL": "www.XYZNetwork.com",
      "broadcastURL": "www.XYZNetwork.com/fixture/123",
      "broadcastTimezone": "Australia/Sydney",
      "locale": "en-EN",
      "startTimeLocal": "2023-01-01T12:34:56Z"
    }
  ]
}
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "organizationId": "9",
      "organization": {
        "resourceType": "organizations",
        "id": "9"
      },
      "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "season": {
        "resourceType": "seasons",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "practiceDrillType": "DRILL",
      "internationalReference": "CA3243-3",
      "status": "SCHEDULED",
      "fixtureNumber": 123,
      "nameLocal": "Grand Final",
      "nameLatin": "Grand Final",
      "startTimeLocal": "2018-08-16T18:00:00",
      "startTimeUTC": "2018-08-16T02:00:00",
      "startTimeActualUTC": "2018-08-16T02:02:23",
      "endTimeActualUTC": "2018-08-16T04:02:23",
      "timesUnconfirmed": true,
      "locked": true,
      "placingIfWon": 1,
      "placingIfLost": 1,
      "attendance": 1123,
      "sellout": true,
      "social": {
        "website": "http://www.example.com",
        "facebook": "@example",
        "twitter": "@example",
        "wikipedia": "https://en.wikipedia.org/wiki/example",
        "instagram": "@example"
      },
      "environmental": {
        "surfaceCondition": "text"
      },
      "duration": 48,
      "durationFull": 180,
      "ticketURL": null,
      "stageCode": "ST1",
      "stage": {
        "resourceType": "seasonStages",
        "id": "ST1"
      },
      "seriesCode": "ST1",
      "series": {
        "resourceType": "seasonSeries",
        "id": "ST1"
      },
      "poolCode": "P1",
      "pool": {
        "resourceType": "seasonPools",
        "id": "P1"
      },
      "roundCode": "RN1",
      "round": {
        "resourceType": "seasonRounds",
        "id": "RN1"
      },
      "roundNumber": 1,
      "liveDataAvailable": true,
      "liveVideoAvailable": true,
      "fixtureType": "REGULAR",
      "maximumPeriodTypeUsed": "REGULAR",
      "competitorType": "ENTITY",
      "competitors": [
        {
          "entityId": "text",
          "conferenceId": "text",
          "divisionId": "text",
          "includeInConferenceStatistics": true,
          "isHome": true,
          "includeInRepresentation": true,
          "draw": true,
          "resultStatus": "SCHEDULED",
          "resultPlace": null,
          "resultSecondaryScorePlace": null,
          "startingNumber": null,
          "score": null,
          "secondaryScore": null,
          "shootOutAttempts": null,
          "rosterStatus": "UNKNOWN",
          "isNeutralVenue": true,
          "uniformId": null,
          "externalId": "text",
          "additionalExternalIds": [
            {
              "source": "text",
              "sourceType": "text",
              "sourceExternalId": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ]
        }
      ],
      "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "venue": {
        "resourceType": "venues",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "externalId": "A123",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "fixtureProfile": {
        "resourceType": "fixtureProfiles",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "includeInStandings": true,
      "updated": "2026-01-01T00:00:00.000Z",
      "added": "2026-01-01T00:00:00.000Z",
      "estimatedFinishTimeUTC": "2026-01-01T00:00:00.000Z",
      "featureMatch": true,
      "seriesFixtureNumber": 1,
      "discipline": "INDOOR",
      "broadcasts": [
        {
          "broadcastType": "TV",
          "broadcaster": "XYZ Network",
          "broadcasterURL": "www.XYZNetwork.com",
          "broadcastURL": "www.XYZNetwork.com/fixture/123",
          "broadcastTimezone": "Australia/Sydney",
          "locale": "en-EN",
          "startTimeLocal": "2023-01-01T12:34:56Z"
        }
      ]
    }
  ]
}

Get a list of matches for the organization

get
/basketball33/o/{organizationId}/fixtures

Return a list of matches for the organization

Required scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
addedstring · date-timeOptional

Record was added after this date/time. In UTC.

Example: 2018-08-16T02:10:48
competitorTypestring · enumOptional

The type of competitors in this fixture

  • ENTITY Entity
  • PERSON Person
Example: PERSONPossible values:
disciplinestring · enum · max: 30Optional

The discipline for a match

  • BEACH Beach
  • HOCKEY5S Hockey5s
  • INDOOR Indoor
  • OUTDOOR Outdoor
  • PARAHOCKEY Para hockey
Example: INDOORPossible values:
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
featureMatchbooleanOptional

Is this match a featured match?

Example: true
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
fixtureIdsstring · uuidOptional

The unique identifiers of the matches (comma-delimited).

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc,de83c6a8-3b29-11eb-bdb7-0242ac130005
fixtureTypestring · enum · max: 50Optional

Type of match

  • ALL_STAR All Star
  • DEMONSTRATION Demonstration
  • FINAL Final
  • FRIENDLY Friendly
  • PLAYOFF Playoff
  • PRESEASON Pre Season
  • REGULAR Regular
Example: REGULARPossible values:
fromTimeLocalstring · date-timeOptional

Where match start time (in local time) >= this value

Example: 2018-08-16T18:00:00
fromTimeUTCstring · date-timeOptional

Where match start time (in UTC) >= this value

Example: 2018-08-16T18:00:00
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
liveDataAvailablebooleanOptional

Is live data available?

Example: true
liveVideoAvailablebooleanOptional

Is live video available ?

Example: true
lockedbooleanOptional

Is the match locked (to prevent editing)?

Example: true
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
poolCodestring · max: 30Optional

The pool identifier within a season

Example: P1
roundCodestring · max: 30Optional

The round identifier within a season

Example: RN1
roundNumberstring · max: 30Optional

Round number

Example: 1
seasonIdstring · uuidOptional

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
seasonIdsstring · uuidOptional

The unique identifiers of the seasons (comma-delimited).

Example: 042d1726-358c-11f1-a5c6-b81ea454b039,06e92aae-358c-11f1-a5c6-b81ea454b039
seriesCodestring · max: 30Optional

The series identifier within a season

Example: WC1
seriesFixtureNumberinteger · int32Optional

The number of the match in a series of matches

Example: 1
sortBystringOptional

Comma-delimited list of one or more fields to sort by. Each field can have '-' as prefix to sort in descending order and no prefix to sort in ascending order.

Example: -startTimeUTC,fixtureNumberPattern: ^(\-?startTimeUTC|\-?fixtureNumber|\-?startTimeLocal|,)*$
stageCodestring · max: 30Optional

The stage identifier within a season

Example: ST1
statusstring · enum · max: 200Optional

Match status. Can specify multiple, delimited by comma.

  • ABANDONED Abandoned
  • ABOUT_TO_START About to Start
  • BYE Bye
  • CANCELLED Cancelled
  • CONFIRMED Confirmed
  • DRAFT Draft
  • FINISHED Finished
  • IF_NEEDED If Needed
  • IN_PROGRESS In Progress
  • ON_PITCH On Pitch
  • PENDING Pending
  • POSTPONED Postponed
  • SCHEDULED Scheduled
  • WARM_UP Warm Up
Example: SCHEDULEDPossible values:
statusNotstring · enum · max: 200Optional

Match status to not include. Can specify multiple, delimited by comma.

  • ABANDONED Abandoned
  • ABOUT_TO_START About to Start
  • BYE Bye
  • CANCELLED Cancelled
  • CONFIRMED Confirmed
  • DRAFT Draft
  • FINISHED Finished
  • IF_NEEDED If Needed
  • IN_PROGRESS In Progress
  • ON_PITCH On Pitch
  • PENDING Pending
  • POSTPONED Postponed
  • SCHEDULED Scheduled
  • WARM_UP Warm Up
Example: SCHEDULEDPossible values:
timesUnconfirmedbooleanOptional

Is the match time yet to be confirmed ?

Example: true
toTimeLocalstring · date-timeOptional

Where match start time (in local time) <= this value

Example: 2018-08-16T18:00:00
toTimeUTCstring · date-timeOptional

Where match start time (in UTC) <= this value

Example: 2018-08-16T18:00:00
updatedstring · date-timeOptional

Record was modified after this date/time. In UTC.

Example: 2018-08-16T02:11:48
venueIdstring · uuidOptional

The unique identifier of the venue

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Responses
200

Successful operation

application/json
get/basketball33/o/{organizationId}/fixtures
GET /v1/basketball33/o/{organizationId}/fixtures HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "organizationId": "9",
      "organization": {
        "resourceType": "organizations",
        "id": "9"
      },
      "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "season": {
        "resourceType": "seasons",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "practiceDrillType": "DRILL",
      "internationalReference": "CA3243-3",
      "status": "SCHEDULED",
      "fixtureNumber": 123,
      "nameLocal": "Grand Final",
      "nameLatin": "Grand Final",
      "startTimeLocal": "2018-08-16T18:00:00",
      "startTimeUTC": "2018-08-16T02:00:00",
      "startTimeActualUTC": "2018-08-16T02:02:23",
      "endTimeActualUTC": "2018-08-16T04:02:23",
      "timesUnconfirmed": true,
      "locked": true,
      "placingIfWon": 1,
      "placingIfLost": 1,
      "attendance": 1123,
      "sellout": true,
      "social": {
        "website": "http://www.example.com",
        "facebook": "@example",
        "twitter": "@example",
        "wikipedia": "https://en.wikipedia.org/wiki/example",
        "instagram": "@example"
      },
      "environmental": {
        "surfaceCondition": "text"
      },
      "duration": 48,
      "durationFull": 180,
      "ticketURL": null,
      "stageCode": "ST1",
      "stage": {
        "resourceType": "seasonStages",
        "id": "ST1"
      },
      "seriesCode": "ST1",
      "series": {
        "resourceType": "seasonSeries",
        "id": "ST1"
      },
      "poolCode": "P1",
      "pool": {
        "resourceType": "seasonPools",
        "id": "P1"
      },
      "roundCode": "RN1",
      "round": {
        "resourceType": "seasonRounds",
        "id": "RN1"
      },
      "roundNumber": 1,
      "liveDataAvailable": true,
      "liveVideoAvailable": true,
      "fixtureType": "REGULAR",
      "maximumPeriodTypeUsed": "REGULAR",
      "competitorType": "ENTITY",
      "competitors": [
        {
          "entityId": "text",
          "conferenceId": "text",
          "divisionId": "text",
          "includeInConferenceStatistics": true,
          "isHome": true,
          "includeInRepresentation": true,
          "draw": true,
          "resultStatus": "SCHEDULED",
          "resultPlace": null,
          "resultSecondaryScorePlace": null,
          "startingNumber": null,
          "score": null,
          "secondaryScore": null,
          "shootOutAttempts": null,
          "rosterStatus": "UNKNOWN",
          "isNeutralVenue": true,
          "uniformId": null,
          "externalId": "text",
          "additionalExternalIds": [
            {
              "source": "text",
              "sourceType": "text",
              "sourceExternalId": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ]
        }
      ],
      "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "venue": {
        "resourceType": "venues",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "externalId": "A123",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "fixtureProfile": {
        "resourceType": "fixtureProfiles",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "includeInStandings": true,
      "updated": "2026-01-01T00:00:00.000Z",
      "added": "2026-01-01T00:00:00.000Z",
      "estimatedFinishTimeUTC": "2026-01-01T00:00:00.000Z",
      "featureMatch": true,
      "seriesFixtureNumber": 1,
      "discipline": "INDOOR",
      "broadcasts": [
        {
          "broadcastType": "TV",
          "broadcaster": "XYZ Network",
          "broadcasterURL": "www.XYZNetwork.com",
          "broadcastURL": "www.XYZNetwork.com/fixture/123",
          "broadcastTimezone": "Australia/Sydney",
          "locale": "en-EN",
          "startTimeLocal": "2023-01-01T12:34:56Z"
        }
      ]
    }
  ]
}

Create a match base route

post
/basketball33/o/{organizationId}/fixtures

Add a new match, allowing seasonId to be in payload

Required scopes
This endpoint requires the following scopes:
  • : Write/Update any data from below the organization
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
Body
fixtureIdstring · uuidOptional

The unique identifier of the match

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
practiceDrillTypestring,null · enum · max: 100 · nullableOptional

Practice types

  • None None
  • DRILL Drill
  • FITNESS Fitness
  • GAME Practice Game
  • OTHER Other
Example: DRILLPossible values:
internationalReferencestring · max: 30 · nullableOptional

The international reference for this match given by the sport governing body

Example: CA3243-3
statusstring · enum · max: 100Optional

Match status

  • ABANDONED Abandoned - Match began but had to be stopped
  • ABOUT_TO_START About to Start - Match is about to start
  • BYE Bye - Team has 'rest'
  • CANCELLED Cancelled - Cancelled - will not be played
  • CONFIRMED Confirmed - Match officially completed
  • DRAFT Draft - Not fully scheduled
  • FINISHED Finished - Match finished by not yet 'official'
  • IF_NEEDED If Needed - Only played if needed
  • IN_PROGRESS In Progress - Currently in play
  • ON_PITCH On Pitch - Players appered on the playing field
  • PENDING Pending - Ready to start
  • POSTPONED Postponed - Will be played at a future time
  • SCHEDULED Scheduled - Yet to be played
  • WARM_UP Warm Up - Players have begun to warm up
Default: SCHEDULEDExample: SCHEDULEDPossible values:
fixtureNumberinteger · nullableOptional

Match number (range of -2147483648 to 2147483647)

Example: 123
nameLocalstring · max: 150 · nullableOptional

The name of the match in the local language

Example: Grand Final
nameLatinstring · max: 150 · nullableOptional

The name of the match in latin characters

Example: Grand Final
startTimeLocalstring · nullableOptional

Local start time

Example: 2018-08-16T18:00:00
startTimeActualUTCstring · nullableOptional

Actual start time (UTC)

Example: 2018-08-16T02:02:23
endTimeActualUTCstring · nullableOptional

Actual end time (UTC)

Example: 2018-08-16T04:02:23
timesUnconfirmedbooleanOptional

Is the match time yet to be confirmed ?

Example: true
lockedbooleanOptional

Is the match locked (to prevent editing)?

Example: true
placingIfWoninteger · nullableOptional

Place if Won?

Example: 1
placingIfLostinteger · nullableOptional

Place if Lost?

Example: 1
attendanceinteger · max: 999999 · nullableOptional

Crowd attendance

Example: 1123
selloutbooleanOptional

Was the match a sellout?

Example: true
durationinteger · nullableOptional

Length, in minutes, of the match

Example: 48
durationFullinteger · nullableOptional

Full duration including breaks

Example: 180
ticketURLstring · max: 200 · nullableOptional

Ticket URL

stageCodestring · max: 30 · nullableOptional

A unique code for the stage. (Unique for season)

Example: ST1
seriesCodestring · max: 30 · nullableOptional

A unique code for the season series. (Unique for season)

Example: ST1
poolCodestring · max: 30 · nullableOptional

A unique code for the pool. (Unique for season)

Example: P1
roundCodestring · max: 30 · nullableOptional

A unique code for the round. (Unique for season)

Example: RN1
roundNumberstring · max: 30 · nullableOptional

The number given to the round

Example: 1
liveDataAvailablebooleanOptional

Is live data available?

Example: true
liveVideoAvailablebooleanOptional

Is live video available?

Example: true
fixtureTypestring · enum · max: 50Optional

Type of match

  • ALL_STAR All Star
  • DEMONSTRATION Demonstration
  • FINAL Final
  • FRIENDLY Friendly
  • PLAYOFF Playoff
  • PRESEASON Pre Season
  • REGULAR Regular
Example: REGULARPossible values:
maximumPeriodTypeUsedstring,null · enum · max: 50 · nullableOptional

Maximum Period Type Used

  • None None
  • EXTRA_TIME Extra Time
  • OVERTIME Overtime
  • REGULAR Regular
  • SHOOTOUT Shoot-Out
Example: REGULARPossible values:
competitorTypestring · enum · max: 50Required

The type of competitors in this match

  • ENTITY Entity
  • PERSON Person
Example: ENTITYPossible values:
venueIdstring · nullableOptional

The unique identifier of the venue

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
externalIdstring · max: 150 · nullableOptional

The Id of the data as set by the provider of the data

Example: A123Pattern: ^[0-9A-Za-z/_-]+$
profileIdstring · nullableOptional

The profile that this match belongs to

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
includeInStandingsbooleanOptional

Include the match in the standings calculation?

Default: trueExample: true
featureMatchbooleanOptional

Is this match a featured match?

Example: true
seriesFixtureNumberinteger · nullableOptional

The number of the match in a series of matches

Example: 1
disciplinestring,null · enum · nullableOptional

match discipline

  • None None
  • INDOOR Indoor
  • OUTDOOR Outdoor
Example: INDOORPossible values:
Responses
200

Successful operation

application/json
post/basketball33/o/{organizationId}/fixtures
POST /v1/basketball33/o/{organizationId}/fixtures HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2098

{
  "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "practiceDrillType": "DRILL",
  "internationalReference": "CA3243-3",
  "status": "SCHEDULED",
  "fixtureNumber": 123,
  "nameLocal": "Grand Final",
  "nameLatin": "Grand Final",
  "startTimeLocal": "2018-08-16T18:00:00",
  "startTimeActualUTC": "2018-08-16T02:02:23",
  "endTimeActualUTC": "2018-08-16T04:02:23",
  "timesUnconfirmed": true,
  "locked": true,
  "placingIfWon": 1,
  "placingIfLost": 1,
  "attendance": 1123,
  "sellout": true,
  "social": {
    "website": "http://www.example.com",
    "facebook": "@example",
    "twitter": "@example",
    "wikipedia": "https://en.wikipedia.org/wiki/example",
    "instagram": "@example"
  },
  "environmental": {
    "surfaceCondition": "text"
  },
  "duration": 48,
  "durationFull": 180,
  "ticketURL": null,
  "stageCode": "ST1",
  "seriesCode": "ST1",
  "poolCode": "P1",
  "roundCode": "RN1",
  "roundNumber": 1,
  "liveDataAvailable": true,
  "liveVideoAvailable": true,
  "fixtureType": "REGULAR",
  "maximumPeriodTypeUsed": "REGULAR",
  "competitorType": "ENTITY",
  "competitors": [
    {
      "entityId": "text",
      "conferenceId": "text",
      "divisionId": "text",
      "includeInConferenceStatistics": true,
      "isHome": true,
      "includeInRepresentation": true,
      "draw": true,
      "resultStatus": "SCHEDULED",
      "resultPlace": null,
      "resultSecondaryScorePlace": null,
      "startingNumber": null,
      "score": null,
      "secondaryScore": null,
      "shootOutAttempts": null,
      "rosterStatus": "UNKNOWN",
      "isNeutralVenue": true,
      "uniformId": null,
      "externalId": "text",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ]
    }
  ],
  "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "externalId": "A123",
  "additionalExternalIds": [
    {
      "source": "text",
      "sourceType": "text",
      "sourceExternalId": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "includeInStandings": true,
  "featureMatch": true,
  "seriesFixtureNumber": 1,
  "discipline": "INDOOR",
  "broadcasts": [
    {
      "broadcastType": "TV",
      "broadcaster": "XYZ Network",
      "broadcasterURL": "www.XYZNetwork.com",
      "broadcastURL": "www.XYZNetwork.com/fixture/123",
      "broadcastTimezone": "Australia/Sydney",
      "locale": "en-EN",
      "startTimeLocal": "2023-01-01T12:34:56Z"
    }
  ]
}
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "organizationId": "9",
      "organization": {
        "resourceType": "organizations",
        "id": "9"
      },
      "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "season": {
        "resourceType": "seasons",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "practiceDrillType": "DRILL",
      "internationalReference": "CA3243-3",
      "status": "SCHEDULED",
      "fixtureNumber": 123,
      "nameLocal": "Grand Final",
      "nameLatin": "Grand Final",
      "startTimeLocal": "2018-08-16T18:00:00",
      "startTimeUTC": "2018-08-16T02:00:00",
      "startTimeActualUTC": "2018-08-16T02:02:23",
      "endTimeActualUTC": "2018-08-16T04:02:23",
      "timesUnconfirmed": true,
      "locked": true,
      "placingIfWon": 1,
      "placingIfLost": 1,
      "attendance": 1123,
      "sellout": true,
      "social": {
        "website": "http://www.example.com",
        "facebook": "@example",
        "twitter": "@example",
        "wikipedia": "https://en.wikipedia.org/wiki/example",
        "instagram": "@example"
      },
      "environmental": {
        "surfaceCondition": "text"
      },
      "duration": 48,
      "durationFull": 180,
      "ticketURL": null,
      "stageCode": "ST1",
      "stage": {
        "resourceType": "seasonStages",
        "id": "ST1"
      },
      "seriesCode": "ST1",
      "series": {
        "resourceType": "seasonSeries",
        "id": "ST1"
      },
      "poolCode": "P1",
      "pool": {
        "resourceType": "seasonPools",
        "id": "P1"
      },
      "roundCode": "RN1",
      "round": {
        "resourceType": "seasonRounds",
        "id": "RN1"
      },
      "roundNumber": 1,
      "liveDataAvailable": true,
      "liveVideoAvailable": true,
      "fixtureType": "REGULAR",
      "maximumPeriodTypeUsed": "REGULAR",
      "competitorType": "ENTITY",
      "competitors": [
        {
          "entityId": "text",
          "conferenceId": "text",
          "divisionId": "text",
          "includeInConferenceStatistics": true,
          "isHome": true,
          "includeInRepresentation": true,
          "draw": true,
          "resultStatus": "SCHEDULED",
          "resultPlace": null,
          "resultSecondaryScorePlace": null,
          "startingNumber": null,
          "score": null,
          "secondaryScore": null,
          "shootOutAttempts": null,
          "rosterStatus": "UNKNOWN",
          "isNeutralVenue": true,
          "uniformId": null,
          "externalId": "text",
          "additionalExternalIds": [
            {
              "source": "text",
              "sourceType": "text",
              "sourceExternalId": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ]
        }
      ],
      "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "venue": {
        "resourceType": "venues",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "externalId": "A123",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "fixtureProfile": {
        "resourceType": "fixtureProfiles",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "includeInStandings": true,
      "updated": "2026-01-01T00:00:00.000Z",
      "added": "2026-01-01T00:00:00.000Z",
      "estimatedFinishTimeUTC": "2026-01-01T00:00:00.000Z",
      "featureMatch": true,
      "seriesFixtureNumber": 1,
      "discipline": "INDOOR",
      "broadcasts": [
        {
          "broadcastType": "TV",
          "broadcaster": "XYZ Network",
          "broadcasterURL": "www.XYZNetwork.com",
          "broadcastURL": "www.XYZNetwork.com/fixture/123",
          "broadcastTimezone": "Australia/Sydney",
          "locale": "en-EN",
          "startTimeLocal": "2023-01-01T12:34:56Z"
        }
      ]
    }
  ]
}

Get a match

get
/basketball33/o/{organizationId}/fixtures/{fixtureId}

Return detailed information about a specific match

Required scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
fixtureIdstring · uuidRequired

The unique identifier of the match

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
Responses
200

Successful operation

application/json
get/basketball33/o/{organizationId}/fixtures/{fixtureId}
GET /v1/basketball33/o/{organizationId}/fixtures/{fixtureId} HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "organizationId": "9",
      "organization": {
        "resourceType": "organizations",
        "id": "9"
      },
      "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "season": {
        "resourceType": "seasons",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "practiceDrillType": "DRILL",
      "internationalReference": "CA3243-3",
      "status": "SCHEDULED",
      "fixtureNumber": 123,
      "nameLocal": "Grand Final",
      "nameLatin": "Grand Final",
      "startTimeLocal": "2018-08-16T18:00:00",
      "startTimeUTC": "2018-08-16T02:00:00",
      "startTimeActualUTC": "2018-08-16T02:02:23",
      "endTimeActualUTC": "2018-08-16T04:02:23",
      "timesUnconfirmed": true,
      "locked": true,
      "placingIfWon": 1,
      "placingIfLost": 1,
      "attendance": 1123,
      "sellout": true,
      "social": {
        "website": "http://www.example.com",
        "facebook": "@example",
        "twitter": "@example",
        "wikipedia": "https://en.wikipedia.org/wiki/example",
        "instagram": "@example"
      },
      "environmental": {
        "surfaceCondition": "text"
      },
      "duration": 48,
      "durationFull": 180,
      "ticketURL": null,
      "stageCode": "ST1",
      "stage": {
        "resourceType": "seasonStages",
        "id": "ST1"
      },
      "seriesCode": "ST1",
      "series": {
        "resourceType": "seasonSeries",
        "id": "ST1"
      },
      "poolCode": "P1",
      "pool": {
        "resourceType": "seasonPools",
        "id": "P1"
      },
      "roundCode": "RN1",
      "round": {
        "resourceType": "seasonRounds",
        "id": "RN1"
      },
      "roundNumber": 1,
      "liveDataAvailable": true,
      "liveVideoAvailable": true,
      "fixtureType": "REGULAR",
      "maximumPeriodTypeUsed": "REGULAR",
      "competitorType": "ENTITY",
      "competitors": [
        {
          "entityId": "text",
          "conferenceId": "text",
          "divisionId": "text",
          "includeInConferenceStatistics": true,
          "isHome": true,
          "includeInRepresentation": true,
          "draw": true,
          "resultStatus": "SCHEDULED",
          "resultPlace": null,
          "resultSecondaryScorePlace": null,
          "startingNumber": null,
          "score": null,
          "secondaryScore": null,
          "shootOutAttempts": null,
          "rosterStatus": "UNKNOWN",
          "isNeutralVenue": true,
          "uniformId": null,
          "externalId": "text",
          "additionalExternalIds": [
            {
              "source": "text",
              "sourceType": "text",
              "sourceExternalId": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ]
        }
      ],
      "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "venue": {
        "resourceType": "venues",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "externalId": "A123",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "fixtureProfile": {
        "resourceType": "fixtureProfiles",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "includeInStandings": true,
      "updated": "2026-01-01T00:00:00.000Z",
      "added": "2026-01-01T00:00:00.000Z",
      "estimatedFinishTimeUTC": "2026-01-01T00:00:00.000Z",
      "featureMatch": true,
      "seriesFixtureNumber": 1,
      "discipline": "INDOOR",
      "broadcasts": [
        {
          "broadcastType": "TV",
          "broadcaster": "XYZ Network",
          "broadcasterURL": "www.XYZNetwork.com",
          "broadcastURL": "www.XYZNetwork.com/fixture/123",
          "broadcastTimezone": "Australia/Sydney",
          "locale": "en-EN",
          "startTimeLocal": "2023-01-01T12:34:56Z"
        }
      ]
    }
  ]
}

Update a match

put
/basketball33/o/{organizationId}/fixtures/{fixtureId}

Change the information of a specific match

Required scopes
This endpoint requires the following scopes:
  • : Write/Update any data from below the organization
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
fixtureIdstring · uuidRequired

The unique identifier of the match

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
Body
seasonIdstring · uuidOptional

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
practiceDrillTypestring,null · enum · max: 100 · nullableOptional

Practice types

  • None None
  • DRILL Drill
  • FITNESS Fitness
  • GAME Practice Game
  • OTHER Other
Example: DRILLPossible values:
internationalReferencestring · max: 30 · nullableOptional

The international reference for this match given by the sport governing body

Example: CA3243-3
statusstring · enum · max: 100Optional

Match status

  • ABANDONED Abandoned - Match began but had to be stopped
  • ABOUT_TO_START About to Start - Match is about to start
  • BYE Bye - Team has 'rest'
  • CANCELLED Cancelled - Cancelled - will not be played
  • CONFIRMED Confirmed - Match officially completed
  • DRAFT Draft - Not fully scheduled
  • FINISHED Finished - Match finished by not yet 'official'
  • IF_NEEDED If Needed - Only played if needed
  • IN_PROGRESS In Progress - Currently in play
  • ON_PITCH On Pitch - Players appered on the playing field
  • PENDING Pending - Ready to start
  • POSTPONED Postponed - Will be played at a future time
  • SCHEDULED Scheduled - Yet to be played
  • WARM_UP Warm Up - Players have begun to warm up
Default: SCHEDULEDExample: SCHEDULEDPossible values:
fixtureNumberinteger · nullableOptional

Match number (range of -2147483648 to 2147483647)

Example: 123
nameLocalstring · max: 150 · nullableOptional

The name of the match in the local language

Example: Grand Final
nameLatinstring · max: 150 · nullableOptional

The name of the match in latin characters

Example: Grand Final
startTimeLocalstring · nullableOptional

Local start time

Example: 2018-08-16T18:00:00
startTimeActualUTCstring · nullableOptional

Actual start time (UTC)

Example: 2018-08-16T02:02:23
endTimeActualUTCstring · nullableOptional

Actual end time (UTC)

Example: 2018-08-16T04:02:23
timesUnconfirmedbooleanOptional

Is the match time yet to be confirmed ?

Example: true
lockedbooleanOptional

Is the match locked (to prevent editing)?

Example: true
placingIfWoninteger · nullableOptional

Place if Won?

Example: 1
placingIfLostinteger · nullableOptional

Place if Lost?

Example: 1
attendanceinteger · max: 999999 · nullableOptional

Crowd attendance

Example: 1123
selloutbooleanOptional

Was the match a sellout?

Example: true
durationinteger · nullableOptional

Length, in minutes, of the match

Example: 48
durationFullinteger · nullableOptional

Full duration including breaks

Example: 180
ticketURLstring · max: 200 · nullableOptional

Ticket URL

stageCodestring · max: 30 · nullableOptional

A unique code for the stage. (Unique for season)

Example: ST1
seriesCodestring · max: 30 · nullableOptional

A unique code for the season series. (Unique for season)

Example: ST1
poolCodestring · max: 30 · nullableOptional

A unique code for the pool. (Unique for season)

Example: P1
roundCodestring · max: 30 · nullableOptional

A unique code for the round. (Unique for season)

Example: RN1
roundNumberstring · max: 30 · nullableOptional

The number given to the round

Example: 1
liveDataAvailablebooleanOptional

Is live data available?

Example: true
liveVideoAvailablebooleanOptional

Is live video available?

Example: true
fixtureTypestring · enum · max: 50Optional

Type of match

  • ALL_STAR All Star
  • DEMONSTRATION Demonstration
  • FINAL Final
  • FRIENDLY Friendly
  • PLAYOFF Playoff
  • PRESEASON Pre Season
  • REGULAR Regular
Example: REGULARPossible values:
maximumPeriodTypeUsedstring,null · enum · max: 50 · nullableOptional

Maximum Period Type Used

  • None None
  • EXTRA_TIME Extra Time
  • OVERTIME Overtime
  • REGULAR Regular
  • SHOOTOUT Shoot-Out
Example: REGULARPossible values:
competitorTypestring · enum · max: 50Optional

The type of competitors in this match

  • ENTITY Entity
  • PERSON Person
Example: ENTITYPossible values:
venueIdstring · nullableOptional

The unique identifier of the venue

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
externalIdstring · max: 150 · nullableOptional

The Id of the data as set by the provider of the data

Example: A123Pattern: ^[0-9A-Za-z/_-]+$
profileIdstring · nullableOptional

The profile that this match belongs to

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
includeInStandingsbooleanOptional

Include the match in the standings calculation?

Default: trueExample: true
featureMatchbooleanOptional

Is this match a featured match?

Example: true
seriesFixtureNumberinteger · nullableOptional

The number of the match in a series of matches

Example: 1
disciplinestring,null · enum · nullableOptional

match discipline

  • None None
  • INDOOR Indoor
  • OUTDOOR Outdoor
Example: INDOORPossible values:
Responses
200

Successful operation

application/json
put/basketball33/o/{organizationId}/fixtures/{fixtureId}
PUT /v1/basketball33/o/{organizationId}/fixtures/{fixtureId} HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2047

{
  "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "practiceDrillType": "DRILL",
  "internationalReference": "CA3243-3",
  "status": "SCHEDULED",
  "fixtureNumber": 123,
  "nameLocal": "Grand Final",
  "nameLatin": "Grand Final",
  "startTimeLocal": "2018-08-16T18:00:00",
  "startTimeActualUTC": "2018-08-16T02:02:23",
  "endTimeActualUTC": "2018-08-16T04:02:23",
  "timesUnconfirmed": true,
  "locked": true,
  "placingIfWon": 1,
  "placingIfLost": 1,
  "attendance": 1123,
  "sellout": true,
  "social": {
    "website": "http://www.example.com",
    "facebook": "@example",
    "twitter": "@example",
    "wikipedia": "https://en.wikipedia.org/wiki/example",
    "instagram": "@example"
  },
  "environmental": {
    "surfaceCondition": "text"
  },
  "duration": 48,
  "durationFull": 180,
  "ticketURL": null,
  "stageCode": "ST1",
  "seriesCode": "ST1",
  "poolCode": "P1",
  "roundCode": "RN1",
  "roundNumber": 1,
  "liveDataAvailable": true,
  "liveVideoAvailable": true,
  "fixtureType": "REGULAR",
  "maximumPeriodTypeUsed": "REGULAR",
  "competitorType": "ENTITY",
  "competitors": [
    {
      "entityId": "text",
      "conferenceId": "text",
      "divisionId": "text",
      "includeInConferenceStatistics": true,
      "isHome": true,
      "includeInRepresentation": true,
      "draw": true,
      "resultStatus": "SCHEDULED",
      "resultPlace": null,
      "resultSecondaryScorePlace": null,
      "startingNumber": null,
      "score": null,
      "secondaryScore": null,
      "shootOutAttempts": null,
      "rosterStatus": "UNKNOWN",
      "isNeutralVenue": true,
      "uniformId": null,
      "externalId": "text",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ]
    }
  ],
  "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "externalId": "A123",
  "additionalExternalIds": [
    {
      "source": "text",
      "sourceType": "text",
      "sourceExternalId": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
  "includeInStandings": true,
  "featureMatch": true,
  "seriesFixtureNumber": 1,
  "discipline": "INDOOR",
  "broadcasts": [
    {
      "broadcastType": "TV",
      "broadcaster": "XYZ Network",
      "broadcasterURL": "www.XYZNetwork.com",
      "broadcastURL": "www.XYZNetwork.com/fixture/123",
      "broadcastTimezone": "Australia/Sydney",
      "locale": "en-EN",
      "startTimeLocal": "2023-01-01T12:34:56Z"
    }
  ]
}
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "organizationId": "9",
      "organization": {
        "resourceType": "organizations",
        "id": "9"
      },
      "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "season": {
        "resourceType": "seasons",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "practiceDrillType": "DRILL",
      "internationalReference": "CA3243-3",
      "status": "SCHEDULED",
      "fixtureNumber": 123,
      "nameLocal": "Grand Final",
      "nameLatin": "Grand Final",
      "startTimeLocal": "2018-08-16T18:00:00",
      "startTimeUTC": "2018-08-16T02:00:00",
      "startTimeActualUTC": "2018-08-16T02:02:23",
      "endTimeActualUTC": "2018-08-16T04:02:23",
      "timesUnconfirmed": true,
      "locked": true,
      "placingIfWon": 1,
      "placingIfLost": 1,
      "attendance": 1123,
      "sellout": true,
      "social": {
        "website": "http://www.example.com",
        "facebook": "@example",
        "twitter": "@example",
        "wikipedia": "https://en.wikipedia.org/wiki/example",
        "instagram": "@example"
      },
      "environmental": {
        "surfaceCondition": "text"
      },
      "duration": 48,
      "durationFull": 180,
      "ticketURL": null,
      "stageCode": "ST1",
      "stage": {
        "resourceType": "seasonStages",
        "id": "ST1"
      },
      "seriesCode": "ST1",
      "series": {
        "resourceType": "seasonSeries",
        "id": "ST1"
      },
      "poolCode": "P1",
      "pool": {
        "resourceType": "seasonPools",
        "id": "P1"
      },
      "roundCode": "RN1",
      "round": {
        "resourceType": "seasonRounds",
        "id": "RN1"
      },
      "roundNumber": 1,
      "liveDataAvailable": true,
      "liveVideoAvailable": true,
      "fixtureType": "REGULAR",
      "maximumPeriodTypeUsed": "REGULAR",
      "competitorType": "ENTITY",
      "competitors": [
        {
          "entityId": "text",
          "conferenceId": "text",
          "divisionId": "text",
          "includeInConferenceStatistics": true,
          "isHome": true,
          "includeInRepresentation": true,
          "draw": true,
          "resultStatus": "SCHEDULED",
          "resultPlace": null,
          "resultSecondaryScorePlace": null,
          "startingNumber": null,
          "score": null,
          "secondaryScore": null,
          "shootOutAttempts": null,
          "rosterStatus": "UNKNOWN",
          "isNeutralVenue": true,
          "uniformId": null,
          "externalId": "text",
          "additionalExternalIds": [
            {
              "source": "text",
              "sourceType": "text",
              "sourceExternalId": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ]
        }
      ],
      "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "venue": {
        "resourceType": "venues",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "externalId": "A123",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "fixtureProfile": {
        "resourceType": "fixtureProfiles",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "includeInStandings": true,
      "updated": "2026-01-01T00:00:00.000Z",
      "added": "2026-01-01T00:00:00.000Z",
      "estimatedFinishTimeUTC": "2026-01-01T00:00:00.000Z",
      "featureMatch": true,
      "seriesFixtureNumber": 1,
      "discipline": "INDOOR",
      "broadcasts": [
        {
          "broadcastType": "TV",
          "broadcaster": "XYZ Network",
          "broadcasterURL": "www.XYZNetwork.com",
          "broadcastURL": "www.XYZNetwork.com/fixture/123",
          "broadcastTimezone": "Australia/Sydney",
          "locale": "en-EN",
          "startTimeLocal": "2023-01-01T12:34:56Z"
        }
      ]
    }
  ]
}

Delete a match

delete
/basketball33/o/{organizationId}/fixtures/{fixtureId}

Delete a specific match

Required scopes
This endpoint requires the following scopes:
  • : Write/Update any data from below the organization
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
fixtureIdstring · uuidRequired

The unique identifier of the match

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
forceDeletebooleanOptional

Force a delete command to run and delete child records as well if there are existing records depending on the record.

Example: true
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
Responses
200

Successful operation

application/json
delete/basketball33/o/{organizationId}/fixtures/{fixtureId}
DELETE /v1/basketball33/o/{organizationId}/fixtures/{fixtureId} HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "organizationId": "9",
      "organization": {
        "resourceType": "organizations",
        "id": "9"
      },
      "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "season": {
        "resourceType": "seasons",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "practiceDrillType": "DRILL",
      "internationalReference": "CA3243-3",
      "status": "SCHEDULED",
      "fixtureNumber": 123,
      "nameLocal": "Grand Final",
      "nameLatin": "Grand Final",
      "startTimeLocal": "2018-08-16T18:00:00",
      "startTimeUTC": "2018-08-16T02:00:00",
      "startTimeActualUTC": "2018-08-16T02:02:23",
      "endTimeActualUTC": "2018-08-16T04:02:23",
      "timesUnconfirmed": true,
      "locked": true,
      "placingIfWon": 1,
      "placingIfLost": 1,
      "attendance": 1123,
      "sellout": true,
      "social": {
        "website": "http://www.example.com",
        "facebook": "@example",
        "twitter": "@example",
        "wikipedia": "https://en.wikipedia.org/wiki/example",
        "instagram": "@example"
      },
      "environmental": {
        "surfaceCondition": "text"
      },
      "duration": 48,
      "durationFull": 180,
      "ticketURL": null,
      "stageCode": "ST1",
      "stage": {
        "resourceType": "seasonStages",
        "id": "ST1"
      },
      "seriesCode": "ST1",
      "series": {
        "resourceType": "seasonSeries",
        "id": "ST1"
      },
      "poolCode": "P1",
      "pool": {
        "resourceType": "seasonPools",
        "id": "P1"
      },
      "roundCode": "RN1",
      "round": {
        "resourceType": "seasonRounds",
        "id": "RN1"
      },
      "roundNumber": 1,
      "liveDataAvailable": true,
      "liveVideoAvailable": true,
      "fixtureType": "REGULAR",
      "maximumPeriodTypeUsed": "REGULAR",
      "competitorType": "ENTITY",
      "competitors": [
        {
          "entityId": "text",
          "conferenceId": "text",
          "divisionId": "text",
          "includeInConferenceStatistics": true,
          "isHome": true,
          "includeInRepresentation": true,
          "draw": true,
          "resultStatus": "SCHEDULED",
          "resultPlace": null,
          "resultSecondaryScorePlace": null,
          "startingNumber": null,
          "score": null,
          "secondaryScore": null,
          "shootOutAttempts": null,
          "rosterStatus": "UNKNOWN",
          "isNeutralVenue": true,
          "uniformId": null,
          "externalId": "text",
          "additionalExternalIds": [
            {
              "source": "text",
              "sourceType": "text",
              "sourceExternalId": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ]
        }
      ],
      "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "venue": {
        "resourceType": "venues",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "externalId": "A123",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "fixtureProfile": {
        "resourceType": "fixtureProfiles",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "includeInStandings": true,
      "updated": "2026-01-01T00:00:00.000Z",
      "added": "2026-01-01T00:00:00.000Z",
      "estimatedFinishTimeUTC": "2026-01-01T00:00:00.000Z",
      "featureMatch": true,
      "seriesFixtureNumber": 1,
      "discipline": "INDOOR",
      "broadcasts": [
        {
          "broadcastType": "TV",
          "broadcaster": "XYZ Network",
          "broadcasterURL": "www.XYZNetwork.com",
          "broadcastURL": "www.XYZNetwork.com/fixture/123",
          "broadcastTimezone": "Australia/Sydney",
          "locale": "en-EN",
          "startTimeLocal": "2023-01-01T12:34:56Z"
        }
      ]
    }
  ]
}

Trigger EMR merge process for the match

post
/basketball33/o/{organizationId}/fixtures/{fixtureId}/trigger

Triggers match EMR merge process.

Required scopes
This endpoint requires the following scopes:
  • : Perform administration API calls
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
fixtureIdstring · uuidRequired

The unique identifier of the match

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
Responses
200

Successful operation

application/json
post/basketball33/o/{organizationId}/fixtures/{fixtureId}/trigger
POST /v1/basketball33/o/{organizationId}/fixtures/{fixtureId}/trigger HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "success": true
    }
  ]
}

Get a list of matches for a Team

get
/basketball33/o/{organizationId}/seasons/{seasonId}/entities/{entityId}/fixtures

Return a list of matches, within seasonprefix season, for a specific Team

Required scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
entityIdstring · uuidRequired

The unique identifier of the team

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
seasonIdstring · uuidRequired

The unique identifier of the season

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Query parameters
addedstring · date-timeOptional

Record was added after this date/time. In UTC.

Example: 2018-08-16T02:10:48
competitorTypestring · enumOptional

The type of competitors in this fixture

  • ENTITY Entity
  • PERSON Person
Example: PERSONPossible values:
disciplinestring · enum · max: 30Optional

The discipline for a match

  • BEACH Beach
  • HOCKEY5S Hockey5s
  • INDOOR Indoor
  • OUTDOOR Outdoor
  • PARAHOCKEY Para hockey
Example: INDOORPossible values:
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
fixtureTypestring · enum · max: 50Optional

Type of match

  • ALL_STAR All Star
  • DEMONSTRATION Demonstration
  • FINAL Final
  • FRIENDLY Friendly
  • PLAYOFF Playoff
  • PRESEASON Pre Season
  • REGULAR Regular
Example: REGULARPossible values:
fromTimeLocalstring · date-timeOptional

Where match start time (in local time) >= this value

Example: 2018-08-16T18:00:00
fromTimeUTCstring · date-timeOptional

Where match start time (in UTC) >= this value

Example: 2018-08-16T18:00:00
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
isHomebooleanOptional

Is competitor the home team ?

limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
liveDataAvailablebooleanOptional

Is live data available?

Example: true
liveVideoAvailablebooleanOptional

Is live video available ?

Example: true
lockedbooleanOptional

Is the match locked (to prevent editing)?

Example: true
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
poolCodestring · max: 30Optional

The pool identifier within a season

Example: P1
roundCodestring · max: 30Optional

The round identifier within a season

Example: RN1
roundNumberstring · max: 30Optional

Round number

Example: 1
seriesCodestring · max: 30Optional

The series identifier within a season

Example: WC1
sortBystringOptional

Comma-delimited list of one or more fields to sort by. Each field can have '-' as prefix to sort in descending order and no prefix to sort in ascending order.

Example: -startTimeUTCPattern: ^(\-?startTimeUTC|,)*$
stageCodestring · max: 30Optional

The stage identifier within a season

Example: ST1
statusstring · enum · max: 200Optional

Match status. Can specify multiple, delimited by comma.

  • ABANDONED Abandoned
  • ABOUT_TO_START About to Start
  • BYE Bye
  • CANCELLED Cancelled
  • CONFIRMED Confirmed
  • DRAFT Draft
  • FINISHED Finished
  • IF_NEEDED If Needed
  • IN_PROGRESS In Progress
  • ON_PITCH On Pitch
  • PENDING Pending
  • POSTPONED Postponed
  • SCHEDULED Scheduled
  • WARM_UP Warm Up
Example: SCHEDULEDPossible values:
timesUnconfirmedbooleanOptional

Is the match time yet to be confirmed ?

Example: true
toTimeLocalstring · date-timeOptional

Where match start time (in local time) <= this value

Example: 2018-08-16T18:00:00
toTimeUTCstring · date-timeOptional

Where match start time (in UTC) <= this value

Example: 2018-08-16T18:00:00
updatedstring · date-timeOptional

Record was modified after this date/time. In UTC.

Example: 2018-08-16T02:11:48
venueIdstring · uuidOptional

The unique identifier of the venue

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Responses
200

Successful operation

application/json
get/basketball33/o/{organizationId}/seasons/{seasonId}/entities/{entityId}/fixtures
GET /v1/basketball33/o/{organizationId}/seasons/{seasonId}/entities/{entityId}/fixtures HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "organizationId": "9",
      "organization": {
        "resourceType": "organizations",
        "id": "9"
      },
      "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "season": {
        "resourceType": "seasons",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "practiceDrillType": "DRILL",
      "internationalReference": "CA3243-3",
      "status": "SCHEDULED",
      "fixtureNumber": 123,
      "nameLocal": "Grand Final",
      "nameLatin": "Grand Final",
      "startTimeLocal": "2018-08-16T18:00:00",
      "startTimeUTC": "2018-08-16T02:00:00",
      "startTimeActualUTC": "2018-08-16T02:02:23",
      "endTimeActualUTC": "2018-08-16T04:02:23",
      "timesUnconfirmed": true,
      "locked": true,
      "placingIfWon": 1,
      "placingIfLost": 1,
      "attendance": 1123,
      "sellout": true,
      "social": {
        "website": "http://www.example.com",
        "facebook": "@example",
        "twitter": "@example",
        "wikipedia": "https://en.wikipedia.org/wiki/example",
        "instagram": "@example"
      },
      "environmental": {
        "surfaceCondition": "text"
      },
      "duration": 48,
      "durationFull": 180,
      "ticketURL": null,
      "stageCode": "ST1",
      "stage": {
        "resourceType": "seasonStages",
        "id": "ST1"
      },
      "seriesCode": "ST1",
      "series": {
        "resourceType": "seasonSeries",
        "id": "ST1"
      },
      "poolCode": "P1",
      "pool": {
        "resourceType": "seasonPools",
        "id": "P1"
      },
      "roundCode": "RN1",
      "round": {
        "resourceType": "seasonRounds",
        "id": "RN1"
      },
      "roundNumber": 1,
      "liveDataAvailable": true,
      "liveVideoAvailable": true,
      "fixtureType": "REGULAR",
      "maximumPeriodTypeUsed": "REGULAR",
      "competitorType": "ENTITY",
      "competitors": [
        {
          "entityId": "text",
          "conferenceId": "text",
          "divisionId": "text",
          "includeInConferenceStatistics": true,
          "isHome": true,
          "includeInRepresentation": true,
          "draw": true,
          "resultStatus": "SCHEDULED",
          "resultPlace": null,
          "resultSecondaryScorePlace": null,
          "startingNumber": null,
          "score": null,
          "secondaryScore": null,
          "shootOutAttempts": null,
          "rosterStatus": "UNKNOWN",
          "isNeutralVenue": true,
          "uniformId": null,
          "externalId": "text",
          "additionalExternalIds": [
            {
              "source": "text",
              "sourceType": "text",
              "sourceExternalId": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ]
        }
      ],
      "venueId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "venue": {
        "resourceType": "venues",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "externalId": "A123",
      "additionalExternalIds": [
        {
          "source": "text",
          "sourceType": "text",
          "sourceExternalId": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "profileId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "fixtureProfile": {
        "resourceType": "fixtureProfiles",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "includeInStandings": true,
      "updated": "2026-01-01T00:00:00.000Z",
      "added": "2026-01-01T00:00:00.000Z",
      "estimatedFinishTimeUTC": "2026-01-01T00:00:00.000Z",
      "featureMatch": true,
      "seriesFixtureNumber": 1,
      "discipline": "INDOOR",
      "broadcasts": [
        {
          "broadcastType": "TV",
          "broadcaster": "XYZ Network",
          "broadcasterURL": "www.XYZNetwork.com",
          "broadcastURL": "www.XYZNetwork.com/fixture/123",
          "broadcastTimezone": "Australia/Sydney",
          "locale": "en-EN",
          "startTimeLocal": "2023-01-01T12:34:56Z"
        }
      ]
    }
  ]
}

Get a list of matches for a Team

get
/basketball33/o/{organizationId}/entities/{entityId}/fixtures

Return a list of matches, for a specific Team

Required scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
entityIdstring · uuidRequired

The unique identifier of the team

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
addedstring · date-timeOptional

Record was added after this date/time. In UTC.

Example: 2018-08-16T02:10:48
competitorTypestring · enumOptional

The type of competitors in this fixture

  • ENTITY Entity
  • PERSON Person
Example: PERSONPossible values:
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
fixtureTypestring · enum · max: 50Optional

Type of match

  • ALL_STAR All Star
  • DEMONSTRATION Demonstration
  • FINAL Final
  • FRIENDLY Friendly
  • PLAYOFF Playoff
  • PRESEASON Pre Season
  • REGULAR Regular
Example: REGULARPossible values:
fromTimeLocalstring · date-timeOptional

Where match start time (in local time) >= this value

Example: 2018-08-16T18:00:00
fromTimeUTCstring · date-timeOptional

Where match start time (in UTC) >= this value

Example: 2018-08-16T18:00:00
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
isHomebooleanOptional

Is competitor the home team ?

limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
liveDataAvailablebooleanOptional

Is live data available?

Example: true
liveVideoAvailablebooleanOptional

Is live video available ?

Example: true
lockedbooleanOptional

Is the match locked (to prevent editing)?

Example: true
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
poolCodestring · max: 30Optional

The pool identifier within a season

Example: P1
roundCodestring · max: 30Optional

The round identifier within a season

Example: RN1
roundNumberstring · max: 30Optional

Round number

Example: 1
seasonIdstring · uuidOptional

The unique identifiers of the seasons (comma-delimited).

Example: 042d1726-358c-11f1-a5c6-b81ea454b039,06e92aae-358c-11f1-a5c6-b81ea454b039
sortBystringOptional

Comma-delimited list of one or more fields to sort by. Each field can have '-' as prefix to sort in descending order and no prefix to sort in ascending order.

Example: -startTimeUTCPattern: ^(\-?startTimeUTC|,)*$
stageCodestring · max: 30Optional

The stage identifier within a season

Example: ST1
statusstring · enum · max: 200Optional

Match status. Can specify multiple, delimited by comma.

  • ABANDONED Abandoned
  • ABOUT_TO_START About to Start
  • BYE Bye
  • CANCELLED Cancelled
  • CONFIRMED Confirmed
  • DRAFT Draft
  • FINISHED Finished
  • IF_NEEDED If Needed
  • IN_PROGRESS In Progress
  • ON_PITCH On Pitch
  • PENDING Pending
  • POSTPONED Postponed
  • SCHEDULED Scheduled
  • WARM_UP Warm Up
Example: SCHEDULEDPossible values:
timesUnconfirmedbooleanOptional

Is the match time yet to be confirmed ?

Example: true
toTimeLocalstring · date-timeOptional

Where match start time (in local time) <= this value

Example: 2018-08-16T18:00:00
toTimeUTCstring · date-timeOptional

Where match start time (in UTC) <= this value

Example: 2018-08-16T18:00:00
updatedstring · date-timeOptional

Record was modified after this date/time. In UTC.

Example: 2018-08-16T02:11:48
venueIdstring · uuidOptional

The unique identifier of the venue

Example: 009e9276-5c80-11e8-9c2d-fa7ae01bbebc
Responses
200

Successful operation

application/json
get/basketball33/o/{organizationId}/entities/{entityId}/fixtures
GET /v1/basketball33/o/{organizationId}/entities/{entityId}/fixtures HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "meta": {
    "version": 1,
    "codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
    "code": 200,
    "time": "2018-06-05 23:43:41.227584+00:00",
    "fromCache": false,
    "count": 7,
    "limit": 10,
    "offset": 10,
    "generationTime": 0.011604
  },
  "links": {
    "self": "https://example.com",
    "next": "https://example.com",
    "previous": "https://example.com"
  },
  "included": {
    "resources": {
      "ANY_ADDITIONAL_PROPERTY": "league"
    }
  },
  "data": [
    {
      "fixtureId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "organizationId": "9",
      "organization": {
        "resourceType": "organizations",
        "id": "9"
      },
      "seasonId": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc",
      "season": {
        "resourceType": "seasons",
        "id": "009e9276-5c80-11e8-9c2d-fa7ae01bbebc"
      },
      "practiceDrillType": "DRILL",
      "internationalReference": "CA3243-3",
      "status": "SCHEDULED",
      "fixtureNumber": 123,
      "nameLocal": "Grand Final",
      "nameLatin": "Grand Final",
      "startTimeLocal": "2018-08-16T18:00:00",
      "startTimeUTC": "2018-08-16T02:00:00",
      "startTimeActualUTC": "2018-08-16T02:02:23",
      "endTimeActualUTC": "2018-08-16T04:02:23",
      "timesUnconfirmed": true,
      "locked": true,
      "placingIfWon": 1,
      "placingIfLost": 1,
      "attendance": 1123,
      "sellout": true,
      "social": {
        "website": "http://www.example.com",
        "facebook": "@example",
        "twitter": "@example",
        "wikipedia": "https://en.wikipedia.org/wiki/example",
        "instagram": "@example"
      },
      "environmental": {
        "surfaceCondition": "text"
      },
      "duration": 48,
      "durationFull": 180,
      "ticketURL": null,
      "stageCode": "ST1",
      "stage": {
        "resourceType": "seasonStages",
        "id": "ST1"
      },
      "seriesCode": "ST1",
      "series": {
        "resourceType": "seasonSeries",
        "id": "ST1"
      },
      "poolCode": "P1",
      "pool": {
        "resourceType": "seasonPools",
        "id": "P1"
      },
      "roundCode": "RN1",
      "round": {
        "resourceType": "seasonRounds",
        "id": "RN1"
      },
      "roundNumber": 1,
      "liveDataAvailable": true,
      "liveVideoAvailable": true,
      "fixtureType": "REGULAR",
      "maximumPeriodTypeUsed": "REGULAR",
      "competitorType": "ENTITY",
      "competitors": [
        {
          "entityId": "text",
          "conferenceId": "text",
          "divisionId": "text",
          "includeInConferenceStatistics": true,
          "isHome": true,
          "includeInRepresentation": true,
          "draw": true,
          "resultStatus": "SCHEDULED",
          "resultPlace": null,
          "resultSecondaryScorePlace": null,
          "startingNumber": null,
          "score": null,
          "secondaryScore": null,
          "shootOutAttempts": null,
          "rosterStatus": "UNKNOWN",
          "isNeutralVenue": true,
          "uniformId": null,
          "externalId": "text",
          "additionalExternalIds": [
            {
              "source": "text",
              "sourceType": "text",
[...]
